Package org.kapott.hbci.datatypes

## Class SyntaxCur

- java.lang.Object
- - org.kapott.hbci.datatypes.SyntaxDE
  - - org.kapott.hbci.datatypes.SyntaxCur

    public final class SyntaxCur
    extends SyntaxDE

### Constructor Summary

Constructors
`SyntaxCur​(java.lang.StringBuffer res, int minsize, int maxsize)`
`SyntaxCur​(java.lang.String x, int minsize, int maxsize)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `init​(java.lang.StringBuffer res, int minsize, int maxsize)`
`void` `init​(java.lang.String x, int minsize, int maxsize)`

### Methods inherited from class org.kapott.hbci.datatypes.SyntaxDE

`destroy, findNextDelim, getContent, init, setContent, skipPreDelim, toString, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SyntaxCur

    public SyntaxCur​(java.lang.String x,
                     int minsize,
                     int maxsize)

#### SyntaxCur

    public SyntaxCur​(java.lang.StringBuffer res,
                     int minsize,
                     int maxsize)

### Method Detail

#### init

    public void init​(java.lang.String x,
                     int minsize,
                     int maxsize)

Overrides:
  `init` in class `SyntaxDE`

#### init

    public void init​(java.lang.StringBuffer res,
                     int minsize,
                     int maxsize)

Overrides:
  `init` in class `SyntaxDE`